
From: Rumen Ivanov Zarev <rzarev@its.caltech.edu>

Trivial patch against 2.6.13 to unhide SMBus on Compaq Evo N620c laptop
using Intel 82855PM chipset.

Signed-off-by: Rumen Zarev <rzarev@caltech.edu>
Cc: Greg KH <greg@kroah.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/pci/quirks.c |    6 ++++++
 1 files changed, 6 insertions(+)

diff -puN drivers/pci/quirks.c~pci-unhide-smbus-on-compaq-evo-n620c drivers/pci/quirks.c
--- 25/drivers/pci/quirks.c~pci-unhide-smbus-on-compaq-evo-n620c	Wed Sep  7 15:03:17 2005
+++ 25-akpm/drivers/pci/quirks.c	Wed Sep  7 15:03:17 2005
@@ -876,6 +876,12 @@ static void __init asus_hides_smbus_host
                        case 0xC00C: /* Samsung P35 notebook */
                                asus_hides_smbus = 1;
                        }
+	} else if (unlikely(dev->subsystem_vendor == PCI_VENDOR_ID_COMPAQ)) {
+		if (dev->device == PCI_DEVICE_ID_INTEL_82855PM_HB)
+			switch(dev->subsystem_device) {
+			case 0x0058: /* Compaq Evo N620c */
+				asus_hides_smbus = 1;
+			}
 	}
 }
 DECLARE_PCI_FIXUP_HEADER(PCI_VENDOR_ID_INTEL,	PCI_DEVICE_ID_INTEL_82845_HB,	asus_hides_smbus_hostbridge );
_
